How to resolve conflict vibs error ESXi host upgrade from 6.0 to 6.7?

I got  an  error  while  upgrade ESXi host  from ESXi  6.0 to  ESXi  6.7 U3b. The  upgrade  process failed with  the error  “Conflicting_vibs Error”. See screenshot below.

Error: <CONFGLICTING_VIBS ERROR: Vibs on the  host are  conflicting  with  vibs in metadata.Remove  the  conflicting vibs or  use  image builder to create a  custom  ISO  providing newer version of  the  conflicting vibs.

Find the conflicting VIB

~ # esxcli software vib list|grep Mel
net-mst 2.0.0.0-1OEM.550.0.0.600000 Mellanox PartnerSupported 2015-03-02

Remove  conflicting VIB

# esxcli software vib remove --vibname=net-mst
Removal Result
Message: The update completed successfully, but the system needs to be rebooted for the changes to be effective.
Reboot Required: true
VIBs Installed:
VIBs Removed: Mellanox_bootbank_net-mst_2.0.0.0-1OEM.550.0.0.600000
VIBs Skipped:
~ # 

Now restart your ESXi host and run the upgrade again.

Some facts

1. ESXi 6.7 has Mellanox driver as inbox.
2. nmlx4-* modules are of native driver for ConnectX-3 NIC family
3. net-mlx4-* modules are of vmkinux driver (old API) for ConnectX-3 NIC family
4. In general, it’s always advised to install latest native driver from (when available) : http://www.mellanox.com/page/products_dyn?product_family=29
5. About performance there is too little information about configuration and actual bandwidth, kindly elaborate.

Check the NIC driver currently in use:

# esxcli network nic list

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.